import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { CategoryTooltipLayerPosition } from "./CategoryTooltipLayerPosition";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Series } from "./Series";
import { Frame } from "./Frame";
import { DataContext } from "igniteui-react-core/ES5/DataContext";
import { Size } from "igniteui-react-core/ES5/Size";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class CategoryToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    protected mv: CategoryToolTipLayerView;
    protected get_cn(): boolean;
    mt: Axis;
    mx: boolean;
    mu: CategoryTooltipLayerPosition;
    protected ir(a: any, b: string, c: any, d: any): void;
    protected l9(a: Axis, b: boolean): void;
    protected ma(a: Series, b: boolean): void;
    protected mc(a: Frame, b: SeriesView): void;
    private mw;
    private m2;
    private my;
    protected mf(a: Frame, b: SeriesView): void;
    protected c6(): boolean;
    static $$p: string[];
}
export declare class CategoryToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryToolTipLayer);
    protected b1: CategoryToolTipLayer;
    private b2;
    private _tooltips;
    private b5;
    private b3;
    b7(): any;
    ap(): void;
    ag(): void;
    private _htmlTest;
    protected htmlTest: any;
    b4(a: Series, b: any, c: DataContext): boolean;
    ce(a: any): Size;
    cd(a: Point): Point;
    cb(a: any, b: number, c: number, d: number, e: number): void;
    cf(): Size;
    ca(a: any): void;
    b9(): void;
    cc(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
